Subject: Re: bug#26911: 25.2; eshell "cd .." doesn't work correctly with TRAMP

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Sep 2020 18:20:29 +0300

On September 4, 2020 5:40:36 PM GMT+03:00, Eli Zaretskii <[email-masked]> wrote:
>> From: Michael Albinus <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked],
>>   [email-masked]
>> Date: Fri, 04 Sep 2020 15:53:09 +0200
>> 
>> > I did, but most of the tests are skipped.  Can you teach me how to
>> > enable them on MS-Windows?  I can use PuTTY to connect to a remote
>> > GNU/Linux machine where I have an account, if that is necessary.
>> 
>> Well, first check whether you can connect the remote host in
>> question. Try it interactively:
>> 
>> C-x C-f /plink:user@host:/tmp
>> 
>> ("user" and "host" at your taste). The connection shall not require a
>> password. Alternatively, if you have created a PuTTy session with
>name
>> "session", you could use instead "/plinkx:session:/tmp".
>> 
>> Then, according to my MS Windows blurb, run in a CMD window:
>> 
>> --8<---------------cut here---------------start------------->8---
>> > set REMOTE_TEMPORARY_FILE_DIRECTORY=/plink:user@host:/tmp
>> > %HOMEPATH%\Desktop\emacs-28.0.50\bin\emacs.exe -Q -batch -L
>X:\src\tramp\lisp -l X:\src\tramp\test\tramp-tests.el -f
>ert-run-tests-batch-and-exit
>> --8<---------------cut here---------------end--------------->8---
>
>OK, thanks.  This worked.  The results (see below) are mixed, but the
>problems seem mostly to have something to do with the remote system,
>not with Emacs.
>
>The first 27 tests all passed.  Then things went south, with all the
>rest but the last 5 tests failing.  The failures are pretty similar,
>and can be divided into the following groups:
>
>. (file-error "Method `plink' should specify both encoding and decoding
>command or an scp program")
>
>  . (file-error "Couldn't find command to check if file exists")
>
>.  (file-error "Tramp failed to connect.  If this happens repeatedly,
>try `M-x tramp-cleanup-this-connection'")
>
>The last error always followed the penultimate one.  Usually, 3
>"failed to connect" errors after each couldn't find command".
>
>Several tests failed with other error messages:
>
>  . Test tramp-test17-insert-directory backtrace:
>     signal(wrong-type-argument ("listp sh:"))
>
>  . Test tramp-test32-shell-command-dont-erase-buffer condition:
>       (ert-test-failed
>        ((should
>	  (string-equal "barbaz
>   "
>		        (buffer-string)))
>	 :form
>	 (string-equal "barbaz
>   " "bar")
>	 :value nil))
>
>  . Test tramp-test33-environment-variables condition:
>       (ert-test-failed
>        ((should
>	  (string-equal
>	   (format "%s,tramp:%s
>   " emacs-version tramp-version)
>	   (funcall this-shell-command-to-string "echo
>${INSIDE_EMACS:-bla}")))
>	 :form
>	 (string-equal "28.0.50,tramp:2.5.0-pre
>   " "")
>	 :value nil))
>
>Finally, the summary:
>
>Ran 71 tests, 32 results as expected, 28 unexpected, 11 skipped
>(2020-09-04 17:27:32+0300, 1357.765625 sec)
>
>  28 unexpected results:
>     FAILED  tramp-test17-insert-directory
>     FAILED  tramp-test18-file-attributes
>     FAILED  tramp-test19-directory-files-and-attributes
>     FAILED  tramp-test20-file-modes
>     FAILED  tramp-test21-file-links
>     FAILED  tramp-test22-file-times
>     FAILED  tramp-test23-visited-file-modtime
>     FAILED  tramp-test26-file-name-completion
>     FAILED  tramp-test27-load
>     FAILED  tramp-test28-process-file
>     FAILED  tramp-test29-start-file-process
>     FAILED  tramp-test29-start-file-process-direct-async
>     FAILED  tramp-test30-make-process
>     FAILED  tramp-test30-make-process-direct-async
>     FAILED  tramp-test31-interrupt-process
>     FAILED  tramp-test32-shell-command
>     FAILED  tramp-test32-shell-command-dont-erase-buffer
>     FAILED  tramp-test33-environment-variables
>     FAILED  tramp-test34-connection-local-variables
>     FAILED  tramp-test34-explicit-shell-file-name
>     FAILED  tramp-test35-exec-path
>     FAILED  tramp-test35-remote-path
>     FAILED  tramp-test36-vc-registered
>     FAILED  tramp-test37-make-auto-save-file-name
>     FAILED  tramp-test38-find-backup-file-name
>     FAILED  tramp-test39-make-nearby-temp-file
>     FAILED  tramp-test40-special-characters
>     FAILED  tramp-test43-asynchronous-requests
>
>  11 skipped results:
>    SKIPPED  tramp-test24-file-acl
>    SKIPPED  tramp-test25-file-selinux
>    SKIPPED  tramp-test33-environment-variables-and-port-numbers
>    SKIPPED  tramp-test40-special-characters-with-ls
>    SKIPPED  tramp-test40-special-characters-with-perl
>    SKIPPED  tramp-test40-special-characters-with-stat
>    SKIPPED  tramp-test41-utf8
>    SKIPPED  tramp-test41-utf8-with-ls
>    SKIPPED  tramp-test41-utf8-with-perl
>    SKIPPED  tramp-test41-utf8-with-stat
>    SKIPPED  tramp-test42-file-system-info
>
>What can I do about the failed tests?

Hold on, these problems might be due to some quota I've exceeded on the remote system.  I'm unable to log in there, am trying to talk to the admins about that...